Bug 1135558 - Implement superset lookup for GStreamer plugins
Summary: Implement superset lookup for GStreamer plugins
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-29 15:39 UTC by Wim Taymans
Modified: 2016-07-19 12:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 12:04:38 UTC


Attachments (Terms of Use)
possible patch (6.65 KB, text/plain)
2014-08-29 15:39 UTC, Wim Taymans
no flags Details

Description Wim Taymans 2014-08-29 15:39:48 UTC
Created attachment 932725 [details]
possible patch

The yum backend of PackageKit requires an exact provides match. This makes it so that:

/usr/libexec/pk-gstreamer-install 'gstreamer|1.0|totem|MPEG-1 Layer 3 (MP3) decoder|decoder-audio/mpeg, mpegaudioversion=(int)1, mpegversion=(int)1, layer=(int)3, parsed=(boolean)true'

doesn't find anything because the provides line in the rpm (gstreamer1-plugins-bad-freeworld) package does not contain the mpegaudioversion=1 string. The absence of the mpegaudioversion in the provides line however signals that the plugin can do any mpegaudio version and should thus be considered for installation.

Currently there is a workaround in the gstreamer1-plugins-base package to filter out the mpegaudioversion before calling packagekit. 

The attached patch implements superset search in PackageKit when looking up available rpms.

Comment 1 Jaroslav Reznik 2015-03-03 16:15:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-07-19 12:04:38 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.